<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderGanttViewBase from './ibizorder-gantt-view-base.vue';

import view_gantt from '@widgets/ibizorder/gantt-tree-gantt/gantt-tree-gantt.vue';
@Component({
    components: {
        view_gantt, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderGanttView extends IBIZOrderGanttViewBase {

}
</script>